Subject: Re: your PHArirRMACY

From: "Logan Weber" <[email-masked]>
Date: Fri, 2 Feb 2007 10:45:40 +0300

Hi,

Get medication from our site because it costs less.

http://www.zodrx*.com - Remove "*" to make the link working!

--

dragon keeps popping up in my head for some reason... Okay, try again... 
He wanted to skip Divination to keep practicing, but Hermione refused
point-blank to skive off Arithmancy, and there was no point in staying